function timerStyles() {
  const styles = document.createElement('style');

  styles.innerText = `
    .ctfm-timer {
      align-items: center;
      background-color: #3c4043;
      border-radius: 50px;
      color: #ffffff;
      cursor: default;
      display: flex;
      height: 10px;
      justify-content: center;
      padding: 20px 10px;
      position: absolute;
      width: 30px;
      z-index: 9999;
    }
    .ctfm-timer:hover {
      background-color: #4f5458;
    }
    .ctfm-timer.ctfm-timer-hour {
      width: 50px;
    }
    .ctfm-timer p {
      font-size: 16px;
      margin: 0;
    }
    .ctfm-call-red {
      background-color: #ea4335;
      color: #ffffff;
    }
    .ctfm-timer-tools {
      background: #ffffff;
      border-radius: 4px;
      box-sizing: border-box;
      color: #000000;
      cursor: default;
      display: none;
      left: 0;
      padding: 12px 12px 6px 12px;
      position: absolute;
      text-align: left;
      top: 40px;
      width: 250px;
    }
    .ctfm-timer-tools.ctfm-timer-tools-right {
      left: inherit;
      right: 0;
    }
    .ctfm-timer-tools.ctfm-timer-tools-bottom {
      top: inherit;
      bottom: 40px;
    }
    .ctfm-timer-tools .ctfm-timer-message {
      align-items: center;
      display: flex !important;
      height: 30px;
    }
    .ctfm-timer-tools .ctfm-timer-message p {
      color: #000000;
      line-height: 16px;
    }
    .ctfm-call-red .ctfm-timer-tools .ctfm-timer-message p {
      color: #ea4335;
    }
    .ctfm-timer-tools .ctfm-red-timer {
      display: flex;
      align-items: center;
      padding: 5px 0;
    }
    .ctfm-timer-tools .ctfm-red-timer .ctfm-red-timer-checkbox {
      margin-right: 5px;
      line-height: 16px;
    }
    .ctfm-timer-tools .ctfm-red-timer .ctfm-red-timer-checkbox-label {
      line-height: 16px;
    }
    .ctfm-timer-tools .ctfm-max-timer {
      height: 45px;
      position: relative;
    }
    .ctfm-timer-tools .ctfm-max-timer .ctfm-max-timer-input-label {
      display: inline !important;
    }
    .ctfm-timer-tools .ctfm-max-timer .ctfm-max-timer-input {
      border-radius: 4px;
      border: 1px solid rgb(209, 209, 209);
      padding: 2px 4px;
      width: 50px;
    }
    .ctfm-timer-tools .ctfm-timer-tools-separator {
      margin-bottom: 3px;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons {
      padding: 10px 0;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-timer-buttons {}
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-position-buttons {
      padding-top: 10px;  
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-turn-on-off-btn {
      background: #ffffff;
      border-radius: 4px;
      border: 1px solid rgb(209, 209, 209);
      cursor: pointer;
      padding: 5px;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-reset-btn {
      background: #ffffff;
      border-radius: 4px;
      border: 1px solid rgb(209, 209, 209);
      cursor: pointer;
      margin-left: 5px;
      padding: 5px;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-reset-position-btn {
      background: #ffffff;
      border-radius: 4px;
      border: 1px solid rgb(209, 209, 209);
      cursor: pointer;
      padding: 5px;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-turn-off {
      color: #d93025;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-turn-on {
      color: #00796b;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-reset {
      color: #2828ff;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-reset-position {
      color: #000000;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-reset-disabled {
      color: #b2b2b2;
    }
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-turn-on-off-btn:hover,
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-reset-btn:hover,
    .ctfm-timer-tools .ctfm-timer-tools-buttons .ctfm-reset-position-btn:hover {
      background-color: rgba(128, 134, 139, 0.122);
    }
    .ctfm-timer-tools hr {
      background: #f1f3f4;
      border: 0;
      height: 1px;
    }
    .ctfm-timer-tools .ctfm-timer-tools-helper {
      font-size: 0.8em;
      font-weight: 400;
      left: 0;
      line-height: 12px;
      margin-top: 30px;
      position: absolute;
    }
    .ctfm-timer:hover > .ctfm-timer-tools {
      display: block;
    }
    .ctfm-timer:hover > .ctfm-timer-tools p,
    .ctfm-timer:hover > .ctfm-timer-tools label {
      display: block;
    }
    .ctfm-call-finished {
      font-size: 18px;
      margin-bottom: 0;
    }
    .ctfm-call-finished span {
      font-weight: bold;
    }
  `;

  return styles;
}
