function Translate() {
  const translations = {
    ca: {
      redTimer: 'Mostra el límit de temps al qual s’ha arribat',
      reset: 'Restableix el temps',
      resetPosition: 'Restableix la posició',
      timeExceededMessage: 'Aquesta trucada triga massa...',
      timeMaxHelp: 'Termini previst per a una reunió',
      timeMaxInput: 'Límit de temps (min): ',
      totalTime: 'Temps total:',
      turnOff: 'Tanca',
      turnOn: 'Encendre',
    },
    da: {
      redTimer: 'Vis tidsgrænse for nået',
      reset: 'Nulstil tid',
      resetPosition: 'Nulstil position',
      timeExceededMessage: 'Dette opkald tager for lang tid...',
      timeMaxHelp: 'Forventet frist for et møde',
      timeMaxInput: 'Frist (min): ',
      totalTime: 'Samlet tid:',
      turnOff: 'Sluk',
      turnOn: 'Tænde for',
    },
    de: {
      redTimer: 'Zeige Zeitlimit bis erreicht',
      reset: 'Zeit Zurücksetzen',
      resetPosition: 'Position zurücksetzen',
      timeExceededMessage: 'Dieser Anruf dauert zu lange...',
      timeMaxHelp: 'Voraussichtliches Zeitlimit für ein Treffen',
      timeMaxInput: 'Zeitlimit (min): ',
      totalTime: 'Gesamtzeit:',
      turnOff: 'Abschalten',
      turnOn: 'Anschalten',
    },
    en: {
      redTimer: 'Show time limit to reached',
      reset: 'Reset time',
      resetPosition: 'Reset position',
      timeExceededMessage: 'This call is taking too long...',
      timeMaxHelp: 'Expected time limit for a meet',
      timeMaxInput: 'Time limit (min): ',
      totalTime: 'Total time:',
      turnOff: 'Turn OFF',
      turnOn: 'Turn ON',
    },
    es: {
      redTimer: 'Mostrar tiempo límite alcanzado',
      reset: 'Reiniciar tiempo',
      resetPosition: 'Reiniciar posición',
      timeExceededMessage: 'Esta llamada está tardando demasiado...',
      timeMaxHelp: 'Tiempo límite esperado en una reunión',
      timeMaxInput: 'Tiempo límite (min): ',
      totalTime: 'Tiempo Total:',
      turnOff: 'Apagar',
      turnOn: 'Prender',
    },
    fr: {
      redTimer: 'Afficher le délai à atteindre',
      reset: 'Réinitialiser le temps',
      resetPosition: 'Réinitialiser la position',
      timeExceededMessage: 'Cet appel prend trop de temps...',
      timeMaxHelp: 'Délai prévu pour une rencontre',
      timeMaxInput: 'Limite de temps (min): ',
      totalTime: 'Temps total:',
      turnOff: 'Éteindre',
      turnOn: 'Allumer',
    },
    it: {
      redTimer: 'Mostra limite di tempo raggiunto',
      reset: 'Ripristina tempo',
      resetPosition: 'Ripristina posizione',
      timeExceededMessage: 'Questa chiamata sta impiegando troppo tempo...',
      timeMaxHelp: 'Limite di tempo previsto per un incontro',
      timeMaxInput: 'Limite di tempo (min): ',
      totalTime: 'Tempo totale:',
      turnOff: 'Spegni',
      turnOn: 'Accendere',
    },
    ja: {
      redTimer: '制限時間に達したことを表示',
      reset: 'リセット時間',
      resetPosition: '位置をリセット',
      timeExceededMessage: 'この通話に時間がかかりすぎています...',
      timeMaxHelp: '会議の予想時間制限',
      timeMaxInput: '制限時間 (分): ',
      totalTime: '合計時間:',
      turnOff: '消す',
      turnOn: 'オンにする',
    },
    nl: {
      redTimer: 'Toon tijdslimiet tot bereikt',
      reset: 'Tijd resetten',
      resetPosition: 'Reset positie',
      timeExceededMessage: 'Deze oproep duurt te lang...',
      timeMaxHelp: 'Verwachte tijdslimiet voor een ontmoeting',
      timeMaxInput: 'Tijdslimiet (min): ',
      totalTime: 'Totale tijd:',
      turnOff: 'Uitschakelen',
      turnOn: 'Aanzetten',
    },
    pl: {
      redTimer: 'Pokaż limit czasu do osiągnięcia',
      reset: 'Zresetuj czas',
      resetPosition: 'Zresetuj pozycję',
      timeExceededMessage: 'Ta rozmowa trwa zbyt długo...',
      timeMaxHelp: 'Oczekiwany termin spotkania',
      timeMaxInput: 'Limit czasu (min): ',
      totalTime: 'Czas całkowity:',
      turnOff: 'Wyłączyć',
      turnOn: 'Włączyć',
    },
    pt: {
      redTimer: 'Mostrar limite de tempo atingido',
      reset: 'Redefinir hora',
      resetPosition: 'Posição de reset',
      timeExceededMessage: 'Esta chamada está demorando muito...',
      timeMaxHelp: 'Prazo esperado para uma reunião',
      timeMaxInput: 'Prazo (min): ',
      totalTime: 'Tempo total:',
      turnOff: 'Desligar',
      turnOn: 'Ligar',
    },
    'pt-BR': {
      redTimer: 'Mostrar limite de tempo atingido',
      reset: 'Redefinir hora',
      resetPosition: 'Posição de reset',
      timeExceededMessage: 'Esta chamada está demorando muito...',
      timeMaxHelp: 'Prazo esperado para uma reunião',
      timeMaxInput: 'Prazo (min): ',
      totalTime: 'Tempo total:',
      turnOff: 'Desligar',
      turnOn: 'Ligar',
    },
    ru: {
      redTimer: 'Показать ограничение по времени для достижения',
      reset: 'Сбросить время',
      resetPosition: 'Сбросить позицию',
      timeExceededMessage: 'Этот звонок занимает слишком много времени...',
      timeMaxHelp: 'Ожидаемый срок для встречи',
      timeMaxInput: 'Лимит времени (мин): ',
      totalTime: 'Общее время:',
      turnOff: 'Выключи',
      turnOn: 'Включить',
    },
    sv: {
      redTimer: 'Visa tidsgräns för att nås',
      reset: 'Återställ tid',
      resetPosition: 'Återställ position',
      timeExceededMessage: 'Detta samtal tar för lång tid...',
      timeMaxHelp: 'Förväntad tidsgräns för ett möte',
      timeMaxInput: 'Tidsgräns (min): ',
      totalTime: 'Total tid:',
      turnOff: 'Stäng av',
      turnOn: 'Sätta på',
    },
    uk: {
      redTimer: 'Show time limit to reached',
      reset: 'Reset time',
      resetPosition: 'Reset position',
      timeExceededMessage: 'This call is taking too long...',
      timeMaxHelp: 'Expected time limit for a meet',
      timeMaxInput: 'Time limit (min): ',
      totalTime: 'Total time:',
      turnOff: 'Turn OFF',
      turnOn: 'Turn ON',
    },
    zh: {
      redTimer: '显示达到的时间限制',
      reset: '重置时间',
      resetPosition: '重置位置',
      timeExceededMessage: '通话时间太长...',
      timeMaxHelp: '预计会面时间',
      timeMaxInput: '时限 (分): ',
      totalTime: '总时间:',
      turnOff: '关掉',
      turnOn: '打开',
    },
    'zh-TW': {
      redTimer: '顯示達到的時間限制',
      reset: '重置時間',
      resetPosition: '重置位置',
      timeExceededMessage: '通話時間太長...',
      timeMaxHelp: '預計會面時間',
      timeMaxInput: '時限 (分): ',
      totalTime: '總時間:',
      turnOff: '關掉',
      turnOn: '打開',
    },
  };

  return key =>
    navigator.languages
      .concat(['en'])
      .map(l => (translations[l] && translations[l][key]) || (translations[l.split('-')[0]] && translations[l.split('-')[0]][key]))
      .find(t => t);
}
